/*****************************************************************************/
/*                THE FOLLOWING PROGRAM IS THE SOLE PROPERTY OF              */
/*                               RONALD Q. SMITH                             */
/*             CONTAINING HIS PROPRIETARY CONFIDENTIAL INFORMATION           */
/*                       COPYRIGHT RONALD Q. SMITH 1992                      */
/*****************************************************************************/

/* Version of this software.                                                */

#define version "3.01"

/* Global data types.                                                       */

struct tz_date {
    enum {
        None, J, n, M
        } day_type;
    unsigned int Julian;
    unsigned int month;
    unsigned int week;
    unsigned int day;
};

struct tz {
    unsigned char std_zone[33];
    long std_off;
    unsigned char day_zone[33];
    long day_off;
    struct tz_date to_day_date;
    long to_day_off;
    struct tz_date to_std_date;
    long to_std_off;
    };

/* Function prototypes                                                      */

extern int open_clock(void);
extern int connect(int handle, unsigned char flag);
extern int clock_status(int handle, unsigned char *connected,
        struct dosdate_t *dos_date, struct dostime_t *dos_time);
extern void parse_TZ(unsigned char *arg, struct tz *TZ);
extern void TZ_init(void);
extern void TZ_adjust(int handle, struct tz *TZ);

/*****************************************************************************/
/*                THE PRECEDING PROGRAM IS THE SOLE PROPERTY OF              */
/*                               RONALD Q. SMITH                             */
/*             CONTAINING HIS PROPRIETARY CONFIDENTIAL INFORMATION           */
/*                       COPYRIGHT RONALD Q. SMITH 1992                      */
/*****************************************************************************/
